*********
Inference
*********

Sampling
--------

.. currentmodule:: pymc3.sampling

.. automodule:: pymc3.sampling
   :members:


Step-methods
------------

NUTS
^^^^

.. currentmodule:: pymc3.step_methods.hmc.nuts

.. automodule:: pymc3.step_methods.hmc.nuts
   :members:

Metropolis
^^^^^^^^^^

.. currentmodule:: pymc3.step_methods.metropolis

.. automodule:: pymc3.step_methods.metropolis
   :members:

Slice
^^^^^

.. currentmodule:: pymc3.step_methods.slicer

.. automodule:: pymc3.step_methods.slicer
   :members:

Hamiltonian Monte Carlo
^^^^^^^^^^^^^^^^^^^^^^^

.. currentmodule:: pymc3.step_methods.hmc.hmc

.. autoclass:: pymc3.step_methods.hmc.hmc.HamiltonianMC
   :members:


Variational
-----------

OPVI
^^^^

.. currentmodule:: pymc3.variational.opvi

.. automodule:: pymc3.variational.opvi
   :members:

Inference
^^^^^^^^^

.. currentmodule:: pymc3.variational.inference

.. automodule:: pymc3.variational.inference
   :members:

Approximations
^^^^^^^^^^^^^^

.. currentmodule:: pymc3.variational.approximations

.. automodule:: pymc3.variational.approximations
   :members:

Operators
^^^^^^^^^

.. currentmodule:: pymc3.variational.operators

.. automodule:: pymc3.variational.operators
   :members:
